Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer.validate
Class PointPairDistance

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.PointPairDistance

public class PointPairDistance
extends java.lang.Object

Contains a pair of points and the distance between them. Provides methods to update with a new point pair with either maximum or minimum distance.

Constructor Summary
`PointPairDistance()`

Method Summary
`Coordinate` | `getCoordinate(int i)`
`Coordinate[]` | `getCoordinates()`
`double` | `getDistance()`
`void` | `initialize()`
`void` | `initialize(Coordinate p0, Coordinate p1)`
`void` | `setMaximum(Coordinate p0, Coordinate p1)`
`void` | `setMaximum(PointPairDistance ptDist)`
`void` | `setMinimum(Coordinate p0, Coordinate p1)`
`void` | `setMinimum(PointPairDistance ptDist)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PointPairDistance

    public PointPairDistance()

Method Detail

### initialize

    public void initialize()

### initialize

    public void initialize(Coordinate p0,
                           Coordinate p1)

### getDistance

    public double getDistance()

### getCoordinates

    public Coordinate[] getCoordinates()

### getCoordinate

    public Coordinate getCoordinate(int i)

### setMaximum

    public void setMaximum(PointPairDistance ptDist)

### setMaximum

    public void setMaximum(Coordinate p0,
                           Coordinate p1)

### setMinimum

    public void setMinimum(PointPairDistance ptDist)

### setMinimum

    public void setMinimum(Coordinate p0,
                           Coordinate p1)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD